Historical K-line
This endpoint is used to query the user history and the current K line's paged list, supporting filtering by market and time range.
HTTP Request
bash
GET /market/v1/tickers/{symbol}/klinesRequest Parameters
| Name | Type | Required | Description |
|---|---|---|---|
market | ENUM | YES | Market code. See market enum for supported values. |
start_time | LONG | YES | Start time in UNIX timestamp (seconds). |
end_time | LONG | YES | End time in UNIX timestamp (seconds). |
interval | ENUM | YES | Interval. See interval enum for supported |
limit | INT | Yes | Page K line number, default: 100, maximum 1000. |
Example cURL Request
bash
curl --location --request GET '{$base_url}/market/v1/tickers/BTC-USDT/klines?market=dcex&interval=day&start_time=1745996160&end_time=1748588160' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'X-API-Signature: YOUR_GENERATED_SIGNATURE' \
--header 'X-API-Timestamp: 1746774142'Response Fields
| Field | Type | Description |
|---|---|---|
time | STRING | Time Point |
open | DECIMAL | Open Price |
high | DECIMAL | Highest Price |
low | DECIMAL | Lowest Price |
close | DECIMAL | Close Price |
volume | DECIMAL | Volume |
turnover | DECIMAL | Turnover |
change | DECIMAL | Change |
percentage_change | DECIMAL | Percentage Change |
turnover_rate | DECIMAL | Turnover Rate |
Successful Response Example
json
{
"code": 0,
"data": [
{
"time": "2025-04-30 11:30:00",
"open": 209.09,
"high": 210.60,
"low": 208.45,
"close": 210.28,
"volume": 2905057,
"turnover": 609394203.45,
"change": 1.19500000,
"percentage_change": 0.57,
"turnover_rate": 0.019
},
{
"time": "2025-04-30 12:30:00",
"open": 210.30,
"high": 211.02,
"low": 209.69,
"close": 210.33,
"volume": 2135477,
"turnover": 449913588.39,
"change": 0.04500000,
"percentage_change": 0.02,
"turnover_rate": 0.014
}
]
}Error Example
json
{
"code": 500,
"message": "Internal Service Error",
"details": ""
}Intraday K-line
This endpoint is used to query the intraday K line's paged list, supporting filtering by market and time range.
HTTP Request
bash
GET /market/v1/tickers/{symbol}/chartsRequest Parameters
| Name | Type | Required | Description |
|---|---|---|---|
market | ENUM | YES | Market code. See market enum for supported values. |
symbol | STRING | YES | Crypto trading pair symbol, e.g., BTC-USDT |
session | LONG | YES | Trade session. See session enum for supported values. |
Example cURL Request
bash
curl --location --request GET '{$base_url}/market/v1/tickers/BTC-USDT/charts?market=dcex&session=trading' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'X-API-Signature: YOUR_GENERATED_SIGNATURE' \
--header 'X-API-Timestamp: 1746774142'Response Fields
| Field | Type | Description |
|---|---|---|
time | STRING | Time Point |
open | DECIMAL | Open Price |
high | DECIMAL | Highest Price |
low | DECIMAL | Lowest Price |
close | DECIMAL | Close Price |
volume | DECIMAL | Volume |
turnover | DECIMAL | Turnover |
change | DECIMAL | Change |
percentage_change | DECIMAL | Percentage Change |
Successful Response Example
json
{
"code": 0,
"data": [
{
"time": "2025-04-30 11:30:00",
"open": 209.09,
"high": 210.60,
"low": 208.45,
"close": 210.28,
"volume": 2905057,
"turnover": 609394203.45,
"change": 1.19500000,
"percentage_change": 0.57
},
{
"time": "2025-04-30 12:30:00",
"open": 210.30,
"high": 211.02,
"low": 209.69,
"close": 210.33,
"volume": 2135477,
"turnover": 449913588.39,
"change": 0.04500000,
"percentage_change": 0.02
}
]
}Error Example
json
{
"code": 500,
"message": "Internal Service Error",
"details": ""
}
